--- python.SlackBuild	2008-08-03 14:54:51.000000000 -0400
+++ python.SlackBuild.s390x	2009-07-07 15:49:01.000000000 -0400
@@ -18,7 +18,7 @@
   SLKCFLAGS="-O3 -march=i386 -mcpu=i686"
 elif [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O3 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
+elif [ "$ARCH" = "s390x" ]; then
   SLKCFLAGS="-O3"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O3"
@@ -35,6 +35,8 @@
 zcat $CWD/patches/CVE-2008-3144.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
 zcat $CWD/patches/CVE-2008-2315.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
 
+cat $CWD/Python-2.4.5-lib64.patch | patch -p1 --verbose --backup --suffix=.orig || exit 1
+
 # Clean up after the patches:
 find . -name "*.orig" -exec rm "{}" \;
 
@@ -46,12 +48,13 @@
 OPT="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
+  --libdir=/usr/lib64 \
   --with-ncurses \
   --with-threads \
   --enable-ipv6 \
   --enable-shared
-make -j3
-make install DESTDIR=$PKG
+make -j3 || exit 1
+make install DESTDIR=$PKG || exit 1
 
 # Install some python-demo files:
 mkdir -p $PKG/usr/doc/python-$VERSION
